package com.zm.order.tool.server.model;

/**
 * @author nianchang
 * @ClassName ZmStorePages
 * @date 2021/06/15 9:48 上午
 */
public class ZmStorePages {

    private Integer id;

    private String code;

    private Integer storeId;

    private Integer templateId;

    private String type;

    private String title;

    private String keyword;

    private String description;

    private Integer isHomepage;

    private String config;

    private String html;

    private Integer createdAt;

    private Integer updatedAt;

    private Integer publishedAt;

    private String tops;

    private String bottoms;

    private String shareText;

    private String bodyColor;

    private String shareImg;

    private Integer isShowHoldTips;

    private String showHoldTipsText;

    private String extPages;

    private String height;

    private String bodyImage;

    private String newConfig;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Integer templateId) {
        this.templateId = templateId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getIsHomepage() {
        return isHomepage;
    }

    public void setIsHomepage(Integer isHomepage) {
        this.isHomepage = isHomepage;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public String getHtml() {
        return html;
    }

    public void setHtml(String html) {
        this.html = html;
    }

    public Integer getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Integer createdAt) {
        this.createdAt = createdAt;
    }

    public Integer getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Integer updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getPublishedAt() {
        return publishedAt;
    }

    public void setPublishedAt(Integer publishedAt) {
        this.publishedAt = publishedAt;
    }

    public String getTops() {
        return tops;
    }

    public void setTops(String tops) {
        this.tops = tops;
    }

    public String getBottoms() {
        return bottoms;
    }

    public void setBottoms(String bottoms) {
        this.bottoms = bottoms;
    }

    public String getShareText() {
        return shareText;
    }

    public void setShareText(String shareText) {
        this.shareText = shareText;
    }

    public String getBodyColor() {
        return bodyColor;
    }

    public void setBodyColor(String bodyColor) {
        this.bodyColor = bodyColor;
    }

    public String getShareImg() {
        return shareImg;
    }

    public void setShareImg(String shareImg) {
        this.shareImg = shareImg;
    }

    public Integer getIsShowHoldTips() {
        return isShowHoldTips;
    }

    public void setIsShowHoldTips(Integer isShowHoldTips) {
        this.isShowHoldTips = isShowHoldTips;
    }

    public String getShowHoldTipsText() {
        return showHoldTipsText;
    }

    public void setShowHoldTipsText(String showHoldTipsText) {
        this.showHoldTipsText = showHoldTipsText;
    }

    public String getExtPages() {
        return extPages;
    }

    public void setExtPages(String extPages) {
        this.extPages = extPages;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getBodyImage() {
        return bodyImage;
    }

    public void setBodyImage(String bodyImage) {
        this.bodyImage = bodyImage;
    }

    public String getNewConfig() {
        return newConfig;
    }

    public void setNewConfig(String newConfig) {
        this.newConfig = newConfig;
    }
}
